package require Dockbar
::dockbar .db
pack .db -side top -expand 1 -fill x

set idir [file join [file dir [info script]] images]

set edit [.db add edit -wrap 0 -helpvariable statusVar]
$edit add button item1 \
    -helpstr "Select Area" \
	-bitmap @${idir}/box.xbm \
    -balloonstr "Select" \
	-command {puts "Select command"}
$edit add button item2 \
    -helpstr "Cut Selected" \
	-image [image create photo -file ${idir}/cut.gif] \
    -balloonstr "Cut" \
	-command {puts "Cut command"}
$edit add button item3 \
    -helpstr "Copy Selected" \
	-image [image create photo -file ${idir}/copy.gif] \
    -balloonstr "Copy" \
	-command {puts "Copy command"}
$edit add button item4 \
    -helpstr "Paste from Clipboard" \
	-image [image create photo -file ${idir}/paste.gif] \
    -balloonstr "Paste" \
	-command {puts "Paste command"}
$edit add button item5 \
    -image [image create photo -file ${idir}/close.gif] \
	-helpstr "Close" \
    -command {puts "Close command"}

set tool [.db add tool -wrap 0 -helpvariable statusVar]
$tool add radiobutton item6 \
    -bitmap @${idir}/oval.xbm \
	-command {puts "Oval mode $result"} \
    -variable result \
	-value OPEN \
	-helpstr "Draw Oval" \
    -balloonstr "Oval"
$tool add radiobutton item7 \
    -bitmap @${idir}/line.xbm \
	-command {puts "Line mode $result"} \
    -variable result \
	-value CLOSED
$tool add checkbutton item8 \
    -bitmap @${idir}/text.xbm \
	-command {puts "Text text mode $checkit"} \
    -variable checkit \
	-onvalue on \
	-offvalue off    
$tool add checkbutton check2 \
    -bitmap @${idir}/points.xbm \
	-command {puts "Points mode $checkit2"} \
	-variable checkit2 \
	-onvalue on \
	-offvalue off    

text .tx
pack .tx -side top -fill both -expand 1
set fp [open [info script]]
.tx insert insert [read $fp]
close $fp

label .msg -textvariable statusVar
pack .msg -side bottom -fill x -expand 1

