package require Toolbar

set idir [file join [file dir [info script]] images]

toolbar .tb -helpvariable statusVar

 .tb add button item1 \
    -helpstr "Save It" -image [image create photo -file ${idir}/close.gif] \
    -balloonstr "Save" -command {puts 1}
 .tb add button item2 \
    -helpstr "Save It" -image [image create photo -file ${idir}/save.gif] \
    -balloonstr "Save" -command {puts 1}
 .tb add button item3 \
    -helpstr "Save It" -image [image create photo -file ${idir}/cut.gif] \
    -balloonstr "Save" -command {puts 1}
 .tb add button item4 \
    -helpstr "Save It" -bitmap @${idir}/points.xbm \
    -balloonstr "Save" -command {puts 1}
 .tb add button item5 \
    -image [image create photo -file ${idir}/select.gif] -helpstr "Play It" \
    -command {puts 2}
 .tb add frame filler \
    -borderwidth 1 -width 10 -height 10
 .tb add radiobutton item6 \
    -bitmap @${idir}/oval.xbm -command {puts 4} \
    -variable result -value OPEN -helpstr "Radio Button # 1" \
    -balloonstr "Radio"
 .tb add radiobutton item7 \
    -bitmap @${idir}/line.xbm -command {puts 5} \
    -variable result -value CLOSED
 .tb add checkbutton item8 \
    -bitmap @${idir}/text.xbm -command {puts 6} \
    -variable checkit -onvalue yes -offvalue no    
 .tb add checkbutton check2 \
    -bitmap @${idir}/points.xbm -command {puts 7} \
     -variable checkit2 -onvalue yes -offvalue no    

 .tb add button closeit \
	-helpstr "Shut down" \
	-bitmap @${idir}/box.xbm \
	-balloonstr "Close It" \
	-command {exit} \
	-justify right

 pack .tb -side top -anchor nw -fill x -expand 1

 text .tx
 set fp [open [info script]]
 .tx insert insert [read $fp]
 close $fp
 pack .tx -side top -fill both -expand 1 -anchor n

 label .msg -textvariable statusVar -justify left
 pack .msg -side bottom -fill x -expand 1 -anchor w
